import Parent from "@/utils/Parnet";

export default class AdminParent extends Parent {
    public success(content? : string, callback? : Function) {
        this.$Message.success({
            content : content ? content : "操作成功",
            onClose : () => {
                this.$Message.destroy()
                callback && callback();
            }
        })
    }

    public error(content? : string, callback? : Function) {
        this.$Message.error({
            content : content ? content : "操作失败",
            onClose : () => {
                this.$Message.destroy();
                callback && callback();
            }
        })
    }

    doDeleteItem(title : string = "", callback : Function) {
        this.$Modal.confirm({
            title : "删除",
            content : title.length > 0 ? title : "确认要删除该数据吗?",
            loading : true,
            onOk : () => {
                this.$Modal.remove();
                callback.call(this)
            }
        })
    }
}