import Vue from 'vue'
import App from "./App.vue"
import router from './router'
import store from './store'
import Http, { get, post } from "@/utils/Http";
import "../../plugins/iview"
import "../../plugins/element";
import "@/assets/style/tailwind.css"
const sprintf = require('sprintf-js');

Http.store = store;
Http.router = router;
Http.baseUri = '/rest/admin/'
Vue.prototype.$http = Http;
Vue.config.devtools = process.env.NODE_ENV !== 'production';
Vue.config.silent = process.env.NODE_ENV === 'production';
Vue.config.productionTip = process.env.NODE_ENV !== 'production';
Vue.prototype.$isDev = process.env.NODE_ENV !== 'production';

Vue.prototype.$sprintf = sprintf.sprintf;


new Vue({
    router,
    store,
    render : h => h(App),
    created() {
        this.$http.vue = this;
    }
}).$mount('#app')
