import Vue from 'vue'
import VueRouter, { RouteConfig } from 'vue-router'
import Routers from './router'
import { LoadingBar } from 'view-design'

Vue.use(VueRouter)

const routes : Array<RouteConfig> = [
    ...Routers
]

const router = new VueRouter({
    base : "/admin/",
    mode : "history",
    routes,
})

function setTitle(title : string) : void {
    window.document.title = title;
}

router.beforeEach((to, from, next) => {
    LoadingBar.start();
    let title : string = process.env.VUE_APP_TITLE;
    setTitle(to.meta.title + '-' + title);
    next();
})

router.afterEach((to, from) => {
    LoadingBar.finish();
})

export default router
