import AdminParent from "@/views/admin/Common/AdminParent";
import { Route } from "vue-router";
import { Location } from "vue-router/types/router";
export interface BreadItem {
    location: Location
    route: Route
    href: string
    normalizedTo: Location
    resolved: Route
    name?: string
}


export default class HomeParent extends AdminParent {

    public loading: boolean = false;
    public startLoading() : void {
        this.loading = true;
    }
    public stopLoading() : void {
        this.loading = false;
    }

    public convertRes2Blob (response,filename) {

        const fileName = filename+'.xlsx'

        // 将二进制流转为blob
        const blob = new Blob([response.data], {type: 'application/vnd.ms-excel'})
        if (typeof window.navigator.msSaveBlob !== 'undefined') {
            // 兼容IE，window.navigator.msSaveBlob：以本地方式保存文件
            window.navigator.msSaveBlob(blob, decodeURI(fileName))
        } else {
            // 创建新的URL并指向File对象或者Blob对象的地址
            const blobURL = window.URL.createObjectURL(blob)
            // 创建a标签，用于跳转至下载链接
            const tempLink = document.createElement('a')
            tempLink.style.display = 'none'
            tempLink.href = blobURL
            tempLink.setAttribute('download', decodeURI(fileName))
            // 兼容：某些浏览器不支持HTML5的download属性
            if (typeof tempLink.download === 'undefined') {
                tempLink.setAttribute('target', '_blank')
            }
            // 挂载a标签
            document.body.appendChild(tempLink)
            tempLink.click()
            document.body.removeChild(tempLink)
            // 释放blob URL地址
            window.URL.revokeObjectURL(blobURL)
        }
    }





}