import Vue from 'vue'
import VueRouter, { RouteConfig } from 'vue-router'
import Routers from './router'
import Store from '../../home/store'
import Types from "@/views/home/store/types";
import "../../../plugins/vant"

Vue.use(VueRouter)

const routes : Array<RouteConfig> = [
    ...Routers
]

const router = new VueRouter({
    base : "/wap",
    mode : "history",
    routes,
})

function setTitle(title : string) : void {
    window.document.title = title;
}

router.beforeEach((to, from, next) => {
    let title : string = process.env.VUE_APP_TITLE;
    setTitle(to.meta.title + '-' + title);
    let token : string = to.query.access_token as string;
    if (token) {
        Store.commit(Types.SET_USER_TOKEN, token);
        let query : any = to.query;
        delete query.access_token;
        next({name : to.name, params : to.params, query : query})
        return;
    }
    next();
})

router.afterEach((to, from) => {
})

export default router
